Subject: Re: bug#10580: 24.0.92; gdb initialization takes more than one minute at 100% CPU

From: Dov Grobgeld <[email-masked]>
Date: Wed, 9 May 2012 11:44:32 +0300

Yes, sorry. I discovered that I looked at an old version. The latest git
version indeed allows disabling the -file-list-exec-source-files. I will
use that option which indeed is a work around for the problem.

In addition, I filed a bug for gdb that it should uniq the filenames output
by -file-list-exec-source-files.

I realized that all filelist-exec-source-files is used for is to turn on
gdb minor mode for all files that are currently open in emacs. Perhaps we
should turn the problem around by asking for a gdb function that answers
the question whether a file is referenced by an executable. It would then
be possible to loop over the emacs buffers and turn on gdb minor mode if
the file is referenced by the new gdb session.

Regards,
Dov

On Wed, May 9, 2012 at 10:47 AM, Andreas Schwab <[email-masked]>wrote:

> Dov Grobgeld <[email-masked]> writes:
>
> > I first that at first too, but then I realized that it doesn't do it. The
> > gdb-mi.el source has the following logic.
> >
> >   (gdb-input
> >                                         ; Needs GDB 6.2 onwards.
> >    (list "-file-list-exec-source-files" 'gdb-get-source-file-list))
> >   (if gdb-create-source-file-list
> >       (gdb-input
> >                                         ; Needs GDB 6.0 onwards.
> >        (list "-file-list-exec-source-file" 'gdb-get-source-file)))
>
> You are looking at a very old version of gdb-mi.el.
>
> Andreas.
>
> --
> Andreas Schwab, [email-masked]
> GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
> "And now for something completely different."
>